'use strict';
const path = require('path');
const node_dir = __dirname ;
const webpack = require('webpack');
Object.defineProperty(exports, "__esModule", {
    value: true
});
module.exports = require('./libs/config/webpack.config.js')(path, node_dir,'app/libs', webpack);
/*
const path = require('path');
const node_dir = __dirname ;
const webpack = require('webpack');
Object.defineProperty(exports, "__esModule", {
    value: true
});
var config = {
    entry: {
        app: './src/index.js',
        vendor: ['react', 'redux', 'react-redux', 'react-router', 'react-router-redux', 'react-dom']
        //  app: './app/angularDemo/main.ts'

    },
    output: {
        path: path.resolve(__dirname, 'dist/libs'),
        publicPath: 'libs/',
        filename: 'bundle.js'
    },
    module: {
        loaders: [
            { test: /\.(js|jsx)$/, loaders: ['babel-loader'], exclude: /node_modules/, include: __dirname }, 
            { test: /\.css/, loader: 'style!css' }, 
            { test: /\.less$/, loader: 'style!css!less' }, 
            { test: /\.(woff|woff2)(\?v=\d+\.\d+\.\d+)?$/, loader: 'url?limit=10000&mimetype=application/font-woff' }, 
            { test: /\.ttf(\?v=\d+\.\d+\.\d+)?$/, loader: 'url?limit=10000&mimetype=application/octet-stream' }, 
            { test: /\.eot(\?v=\d+\.\d+\.\d+)?$/, loader: 'file' }, 
            { test: /\.svg(\?v=\d+\.\d+\.\d+)?$/, loader: 'url?limit=10000&mimetype=image/svg+xml' }, 
            { test: /\.(png|jpg|gif)$/, loader: 'url?limit=10000' }]
    },

    // require 文件时可省略后缀 .js 和 .ts
    resolve: {
        extensions: ['', '.js', '.tsx'],
        alias: {
            'app': path.join(__dirname),
            'libs': 'app/libs'
            //'jQuery': node_dir + '/jquery/dist/jquery.js',
            //'Bootstrap': node_dir + '/bootstrap/dist/js/bootstrap.min.js',
            // 'Promise':  node_dir + '/@types/es6-promise'
        }
    },
    plugins: [
    new webpack.ProvidePlugin({
        //   $: "jQuery",
        //   jquery: "jQuery",
        //    "window.jQuery": "jQuery",
        //   "jQuery": "jQuery"
    }), 
    new webpack.optimize.UglifyJsPlugin({
			compress: {
				warnings: false
			}
	}),
    new webpack.DefinePlugin({
			'process.env': {
				// Useful to reduce the size of client-side libraries, e.g. react
				NODE_ENV: JSON.stringify('production')
			}
	}),
    new webpack.optimize.CommonsChunkPlugin({
        names: ['vendor'],
        filename: '[name].js',
        minChunks: Infinity
    })]
   
};

module.exports = config;
*/